Summary:	Creates a common metadata repository
Summary(pl.UTF-8):	Tworzenie wspólnego repozytorium metadanych
Name:		createrepo
Version:	0.10.4
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://createrepo.baseurl.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	1f499e055d64f03127aea3ae84c9ef1a
Patch1:		rpm5-caps.patch
URL:		http://createrepo.baseurl.org/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.673
BuildRequires:	sed >= 4.0
Requires:	python
Requires:	python-deltarpm
Requires:	python-libxml2
Requires:	python-pylzma
Requires:	python-rpm
Requires:	yum >= 3.2.23
Requires:	yum-metadata-parser >= 1.1.1-3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A set of utilities for generating a common metadata repository from a
directory of RPM packages and maintaining it.

%description -l pl.UTF-8
Zestaw narzędzi do generowania oraz utrzymywania wspólnego
repozytorium metadanych z katalogu pakietów RPM.

%package -n bash-completion-%{name}
Summary:	bash-completion for createrepo commands
Summary(pl.UTF-8):	bashowe uzupełnianie nazw dla poleceń createrepo
Group:		Applications/Shells
Requires:	%{name} = %{version}-%{release}
Requires:	bash-completion >= 2.0

%description -n bash-completion-%{name}
bash-completion for createrepo commands.

%description -n bash-completion-%{name} -l pl.UTF-8
bashowe uzupełnianie nazw dla poleceń createrepo.

%prep
%setup -q
%patch1 -p1

%{__sed} -i -e '1s,#!.*python,#!%{__python},' modifyrepo.py

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	compdir=%{bash_compdir} \
	sysconfdir=%{_sysconfdir} \
	PKGDIR=%{py_sitescriptdir}/%{name} \
	DESTDIR=$RPM_BUILD_ROOT

%py_comp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/%{name}
%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_bindir}/createrepo
%attr(755,root,root) %{_bindir}/mergerepo
%attr(755,root,root) %{_bindir}/modifyrepo
%{_mandir}/man1/mergerepo.1*
%{_mandir}/man1/modifyrepo.1*
%{_mandir}/man8/createrepo.8*
%dir %{_datadir}/%{name}
# note that these DO NEED executable bit set!
%attr(755,root,root) %{_datadir}/%{name}/genpkgmetadata.py
%attr(755,root,root) %{_datadir}/%{name}/mergerepo.py
%attr(755,root,root) %{_datadir}/%{name}/modifyrepo.py
%attr(755,root,root) %{_datadir}/%{name}/worker.py
%{_datadir}/%{name}/*.py[co]
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{_datadir}/bash-completion/completions/createrepo
%{_datadir}/bash-completion/completions/genpkgmetadata.py
%{_datadir}/bash-completion/completions/mergerepo
%{_datadir}/bash-completion/completions/mergerepo.py
%{_datadir}/bash-completion/completions/modifyrepo
%{_datadir}/bash-completion/completions/modifyrepo.py
%changelog
* Thu Sep 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/createrepo.git;a=log;h=master

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 62172c7
- release 3 (by relup.sh)

* Thu Sep 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ee94ee
- release 2 (by relup.sh)

* Thu Oct 20 2016 Elan Ruusamäe <glen@delfi.ee> 1815477
- 2015-03-13

* Wed Apr 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 7edf913
- updated pl

* Tue Apr 22 2014 Elan Ruusamäe <glen@delfi.ee> 18f8823
- update description from upstream

* Wed Jan 29 2014 Elan Ruusamäe <glen@delfi.ee> 9e245c3
- 0.10.3 (2014-01-28)

* Thu Jan 16 2014 Elan Ruusamäe <glen@delfi.ee> ddfd71d
- up to 0.10.2

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 3da1a52
- updated to 0.10.1
- pass bash_compdir, so that bash-completion is not buildrequired

* Mon Oct 21 2013 Elan Ruusamäe <glen@delfi.ee> 4917495
- up to 0.10

* Sun Apr 28 2013 Elan Ruusamäe <glen@delfi.ee> bb70758
- skip rpm5 caps: uname(), cpuinfo()

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> f02d4d6
- BR .pc for bash-completion

* Sun Apr 14 2013 Elan Ruusamäe <glen@delfi.ee> 3fe7ead
- turn off buffering on stdout; bash-completions 2.0

* Sun Mar 03 2013 Elan Ruusamäe <glen@delfi.ee> 9250dd0
- update code from git master, add bash-completion subpackage

* Mon Nov 07 2011 Elan Ruusamäe <glen@pld-linux.org> 586c423
- imports deltarpm py module

* Mon Nov 07 2011 Elan Ruusamäe <glen@pld-linux.org> 10ac856
- up to 0.9.9

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d5b746b
- release 2

* Sat Aug 29 2009 Elan Ruusamäe <glen@pld-linux.org> f3a5af0
- update to 0.9.8

* Wed Aug 05 2009 hawk <hawk@pld-linux.org> bb6a1ef
- updated to 0.9.7

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1181af8
- drop obsolete files

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 91c5a0d
- release 2

